SDL_HINT_JOYSTICK_HIDAPI_GAMECUBE(3)

NAME
SDL_HINT_JOYSTICK_HIDAPI_GAMECUBE - A variable controlling whether the HIDAPI driver for Nintendo GameCube controllers should be used.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_JOYSTICK_HIDAPI_GAMECUBE SDL_JOYSTICK_HIDAPI_GAMECUBE"

DESCRIPTION
The variable can be set to the following values:

• "0": HIDAPI driver is not used.

• "1": HIDAPI driver is used.

The default is the value of

SDL_HINT_JOYSTICK_HIDAPI

This hint should be set before initializing joysticks and gamepads.

AVAILABILITY
This hint is available since SDL 3.2.0.